# Uses of Class
org.eclipse.birt.core.framework.parser.XMLParserHandler

Packages that use XMLParserHandler
Package
Description
org.eclipse.birt.core.framework.parser
Provides a framework for parsing an XML file using a SAX parser.

## Uses of XMLParserHandler in org.eclipse.birt.core.framework.parser

Fields in org.eclipse.birt.core.framework.parser declared as XMLParserHandler
Modifier and Type
Field
Description
`protected final XMLParserHandler`
ParseState.`handler`
The SAX parser handler associated with this parse state.
Methods in org.eclipse.birt.core.framework.parser that return XMLParserHandler
Modifier and Type
Method
Description
`abstract XMLParserHandler`
AbstractParseState.`getHandler()`
Returns the parser handler.
`XMLParserHandler`
ParseState.`getHandler()`
Constructors in org.eclipse.birt.core.framework.parser with parameters of type XMLParserHandler
Modifier
Constructor
Description
``
`AnyElementState(XMLParserHandler theHandler)`
Constructor.
``
`ParseState(XMLParserHandler theHandler)`
Constructor.